package entity

import "leafdev.top/Ecosystem/recommender/internal/schema"

type Application struct {
	Model

	Name   string        `json:"name"`
	UserId schema.UserId `json:"user_id"`
}

func (u *Application) TableName() string {
	return "applications"
}

type ApplicationToken struct {
	Model

	Token string

	ApplicationId schema.EntityId `json:"application_id"`
	Application   *Application    `json:"application"`
}

func (u *ApplicationToken) TableName() string {
	return "application_tokens"
}
