package user

import (
	"leafdev.top/Ecosystem/recommender/internal/base/logger"
	"leafdev.top/Ecosystem/recommender/internal/dao"
	"leafdev.top/Ecosystem/recommender/internal/service/post"
)

type Service struct {
	dao         *dao.Query
	postService *post.Service
	logger      *logger.Logger
}

func NewService(
	dao *dao.Query,
	postService *post.Service,
	logger *logger.Logger,
) *Service {
	return &Service{
		dao:         dao,
		postService: postService,
		logger:      logger,
	}
}
