package entity

import "leafdev.top/Ecosystem/recommender/internal/schema"

type Category struct {
	Id            schema.EntityId `gorm:"primarykey" json:"id"`
	Name          string          `json:"name"`
	Application   *Application
	ApplicationId schema.EntityId `json:"application_id"`
}

func (c *Category) TableName() string {
	return "categories"
}
